Name:           xpsk31
Version:        1.2
Release:        10%{?dist}
Summary:        GTK+ graphical version of lpsk31 for Ham Radio

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/digital.html
Source0:        http://5b4az.chronos.org.uk/pkg/psk31/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch0:         xpsk31-1.2-configure.patch
Patch1:         xpsk31-1.2-implicitdso.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: glib2-devel
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: desktop-file-utils

%description
xpsk31 is a GTK+ graphical version of lpsk31, using the same basic signal 
decoding and encoding engine but controlled by the user via the GUI. In 
addition it has a FFT-derived "waterfall" display of the incoming signal and a 
"magniphase" display that shows the magnitude, phase and frequency error of the
psk31 signal.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .configure
%patch1 -p1 -b .implicitdso
autoreconf -v -i

%build
%configure
make CC="gcc $RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# no upstream .desktop or icon yet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
cp xpsk31/xpsk31rc xpsk31rc.sample


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING xpsk31rc.sample
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.2-7
- Rebuild for new libpng

* Thu Jul 15 2010 Randall "Randy" Berry, N3LRX <dp67@fedoraproject.org> - 1.2-6
- Fix .desktop file add category Network;HamRadio;

* Sun Feb 14 2010 Lucian Langa <cooly@gnome.eu.org> - 1.2-5
- -fix implicit dso linking (#564903)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Feb 27 2009 Lucian Langa <cooly@gnome.eu.org> - 1.2-3
- drop vendor from desktop file install
- ustream modified source

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug  2 2008 Lucian Langa <cooly@gnome.eu.org> - 1.2-1
- update to 1.2 release

* Wed Jul 16 2008 Lucian Langa <cooly@gnome.eu.org> - 0.8-2
- proper handle of configure
- fix desktop file
- misc cleanups

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.8-1
- Upstream Version Bump

* Thu Feb 28 2008 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7-3
- Add .desktop and icon for GUI application
- Submit for review

* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7-2
- Fix files section

* Tue Nov 20 2007 Robert 'Bob' Jensen <bob@bobjensen.com> 0.7-1
- Initial Fedora SPEC


